//
//  Contacts.m
//  
//
//  Created by Apple on 04/02/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "Contacts.h"


@implementation ContactItem

@synthesize category;
@synthesize firstname;
@synthesize lastname;
@synthesize homephone;
@synthesize officephone;
@synthesize homeaddressstreet;
@synthesize homeaddresscity;

- (void)dealloc
{
	[firstname release];
	[lastname release];
	[homephone release];
	[officephone release];
	[homeaddressstreet release];
	[homeaddresscity release];
	
	[super dealloc];
}

@end

@implementation ContactItemParser

@synthesize item;
@synthesize items;

- (id)parseXMLWithData:(NSData *)data parseError:(NSError **)error;
{
	[items release];
	items = [[NSMutableArray alloc] init];
	
	NSXMLParser *parser = [[NSXMLParser alloc] initWithData:data];
	[parser setDelegate:self];	
	[parser parse];
	
	if([parser parserError] && error) {
		*error = [parser parserError];
	}	
	[parser release];
	
	return self;
}

- (void)parser: (NSXMLParser *)parser didStartElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI 
 qualifiedName:(NSString *)qName attributes:(NSDictionary *)attributeDict
{	
	if([elementName isEqualToString:@"search-response"]) {
		
		items = [[NSMutableArray alloc] init];
	}
	else if([elementName isEqualToString:@"contact"])
	{
		item = [ContactItem alloc];
		currentNodeName = [elementName copy];
	}
	else
		currentNodeContent = [[NSMutableString alloc] init];
}

- (void)parser:(NSXMLParser *)parser didEndElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI 
 qualifiedName:(NSString *)qName
{	
	if( [elementName isEqualToString:currentNodeName]) {
		[items addObject:item];
		
		[item release];
		item = nil;
		
		[currentNodeName release];
		currentNodeName = nil;
	}
	else if([elementName isEqualToString:@"first"]) {
		[item setFirstname:currentNodeContent];
	}
	else if([elementName isEqualToString:@"last"]) {
		[item setLastname:currentNodeContent];
	}
	else if([elementName isEqualToString:@"phone"]) {
		[item setHomephone:currentNodeContent];
	}
	else if([elementName isEqualToString:@"street"]) {
		[item setHomeaddressstreet:currentNodeContent];
	}
	else if([elementName isEqualToString:@"city"]) {
		[item setHomeaddresscity:currentNodeContent];
	}
	
	[currentNodeContent release];
	currentNodeContent = nil;
}

- (void)parser:(NSXMLParser *)parser foundCharacters:(NSString *)string {
	[currentNodeContent appendString:string];
}

- (void)dealloc {
	[items release];
	[super dealloc];
}

@end
