//
//  RootViewController.m
//  ContactsImporter
//
//  Created by Viswanath M on 21/02/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "RootViewController.h"
#import "MainViewController.h"
#import "Contacts.h"

@implementation RootViewController

#pragma mark XMLParser

- (NSArray*)buildNewsItemsFromXMLString:(NSString*)xml 
{
	NSData *xmlData = [xml dataUsingEncoding:NSASCIIStringEncoding];
	ContactItemParser *parser = [[ContactItemParser alloc] parseXMLWithData:xmlData parseError:nil];
	
	NSArray *contactItems = [parser items];
	
	return contactItems;	
}

#pragma mark ButtonFunctions

- (IBAction) GoClicked:(id) sender {
	
	NSString   *path = [[NSBundle mainBundle] pathForResource: @"yahoocontact" ofType: @"xml"];
	NSError    *error = nil;
	NSString   *data = [NSString stringWithContentsOfFile: path 
												 encoding: NSUTF8StringEncoding 
													error: &error];
	// Validate username and password
	UIViewController *viewController = [[MainViewController alloc] initWithContacts:
										[self buildNewsItemsFromXMLString:data]];
	[self.navigationController pushViewController:viewController animated:YES];
}

#pragma mark ViewControllerFunctions

/*
// Override initWithNibName:bundle: to load the view using a nib file then perform additional customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically.
- (void)loadView {
}
*/


// Implement viewDidLoad to do additional setup after loading the view.
- (void)viewDidLoad {
    [super viewDidLoad];
	self.title = @"RootViewController";
}



- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}


@end
